// constants.h                     -*-c++-*-
// written by: Laurentiu Pancescu

// several constants are declared here
// implementation is in constants.cpp

#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

// physical constants (huh?)
extern double q;
extern double epsilons;
extern double C0;
extern double Vfb;
extern double Ec;
extern double Ev;
extern double sigma;
extern double k;
extern double T;
extern double T0;
extern double Ea;
extern double NA;
extern double g;
extern double C;
extern double xmax;
extern double cc;
extern double W;
extern double L;
extern double Vd;
extern double v0_max;

// numerical precision of calculations
extern double num_prec;

// messages, strings, etc.

extern "C" const char * const prg_name;
extern "C" const char * const integration_failure;
extern "C" const char * const bisection_failure;

#endif // __CONSTANTS_H__
